Package org.silverpeas.components.survey.notification

## Class SurveyUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>
      - - org.silverpeas.components.survey.notification.AbstractSurveyUserNotification
        - - org.silverpeas.components.survey.notification.SurveyUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`, `org.silverpeas.core.notification.user.RemoveSenderRecipientBehavior`

      public class SurveyUserNotification
      extends AbstractSurveyUserNotification
      implements org.silverpeas.core.notification.user.RemoveSenderRecipientBehavior

  The centralization of the construction of the survey notifications
  Author:
    Cécile Bonin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurveyUserNotification​(org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail surveyDetail, org.silverpeas.core.admin.user.model.UserDetail userDetail, org.silverpeas.core.admin.user.model.UserDetail[] participants)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getTemplateFileName()` |
    `protected Collection<String>` | `getUserIdsToNotify()` |

    - ### Methods inherited from class org.silverpeas.components.survey.notification.AbstractSurveyUserNotification

      `getAction, getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSender, getTemplatePath, performNotificationResource, performTemplateData`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getBundleSubjectKey, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop, stopWhenNoUserToNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SurveyUserNotification

          public SurveyUserNotification​(org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail surveyDetail,
                                        org.silverpeas.core.admin.user.model.UserDetail userDetail,
                                        org.silverpeas.core.admin.user.model.UserDetail[] participants)

  - ### Method Detail

    - #### getTemplateFileName

          protected String getTemplateFileName()

      Specified by:
        `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>`

    - #### getUserIdsToNotify

          protected Collection<String> getUserIdsToNotify()

      Specified by:
        `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`